function pdemodel
[pde_fig,ax]=pdeinit;
pdetool('appl_cb',9);
set(ax,'DataAspectRatio',[1 1.5 1]);
set(ax,'PlotBoxAspectRatio',[1.5 1 1]);
set(ax,'XLim',[-1.5 1.5]);
set(ax,'YLim',[-1.5 1.5]);
set(ax,'XTickMode','auto');
set(ax,'YTickMode','auto');

% Geometry description:
pdeellip(0,0,1,1,...
0,'E1');
pdeellip(0,0,0.20000000000000001,0.20000000000000001,...
0,'E2');
set(findobj(get(pde_fig,'Children'),'Tag','PDEEval'),'String','E1-E2')

% Boundary conditions:
pdetool('changemode',0)
pdesetbd(8,...
'dir',...
1,...
'1',...
'20*cos(angle(x+i*y)).^2')
pdesetbd(7,...
'dir',...
1,...
'1',...
'20*cos(angle(x+i*y)).^2')
pdesetbd(6,...
'dir',...
1,...
'1',...
'20*cos(angle(x+i*y)).^2')
pdesetbd(5,...
'dir',...
1,...
'1',...
'20*cos(angle(x+i*y)).^2')
pdesetbd(4,...
'dir',...
1,...
'1',...
'100*sin(angle(x+i*y)).^2')
pdesetbd(3,...
'dir',...
1,...
'1',...
'100*sin(angle(x+i*y)).^2')
pdesetbd(2,...
'dir',...
1,...
'1',...
'100*sin(angle(x+i*y)).^2')
pdesetbd(1,...
'dir',...
1,...
'1',...
'100*sin(angle(x+i*y)).^2')

% Mesh generation:
setappdata(pde_fig,'Hgrad',1.3);
setappdata(pde_fig,'refinemethod','regular');
setappdata(pde_fig,'jiggle',char('on','mean',''));
pdetool('initmesh')
pdetool('refine')
pdetool('refine')
pdetool('refine')

% PDE coefficients:
pdeseteq(1,...
'1.0',...
'0',...
'(0)+(0).*(0)',...
'(1.0).*(1.0)',...
'0:10',...
'0.0',...
'0.0',...
'[0 100]')
setappdata(pde_fig,'currparam',...
['1.0';...
'1.0';...
'1.0';...
'0  ';...
'0  ';...
'0  '])

% Solve parameters:
setappdata(pde_fig,'solveparam',...
str2mat('0','26304','10','pdeadworst',...
'0.5','longest','0','1E-4','','fixed','Inf'))

% Plotflags and user data strings:
setappdata(pde_fig,'plotflags',[1 2 1 1 1 1 8 1 1 1 0 1 1 1 1 0 0 1]);
setappdata(pde_fig,'colstring','');
setappdata(pde_fig,'arrowstring','');
setappdata(pde_fig,'deformstring','');
setappdata(pde_fig,'heightstring','');

% Solve PDE:
pdetool('solve')
